<template>
  <v-card min-height="15rem" class="cardTile">
    <v-card-actions>
      <v-spacer></v-spacer>
      <v-icon class="mr-1" @click="edit">mdi-pencil</v-icon>
      <v-icon
        class="mr-2"
        color="red accent-1"
        @click="$emit('deleteItem', developer._id)"
        >mdi-delete</v-icon
      >
    </v-card-actions>
    <v-container>
      <v-row wrap dense>
        <v-col cols="12" class="font-weight-bold text-truncate">
          <v-icon small>mdi-account</v-icon> {{ developer.name }}
        </v-col>
        <v-col cols="12">
          <v-icon small>mdi-party-popper</v-icon>
          {{ developer.birthdate }}, <strong>{{ developer.age }}</strong> anos
        </v-col>
        <v-col cols="12">
          <v-icon small>mdi-gender-male-female</v-icon>
          {{
            developer.sex === 'O'
              ? 'Outros'
              : developer.sex === 'M'
              ? 'Masculino'
              : 'Feminino'
          }}
        </v-col>
        <v-col cols="12" class="text-truncate">
          <v-icon small>mdi-chat</v-icon>
          {{ developer.hobby ? developer.hobby : 'Não informado' }}
        </v-col>
      </v-row>
    </v-container>
  </v-card>
</template>

<script>
export default {
  props: {
    developer: {
      type: Object,
      default: null
    }
  },
  methods: {
    async edit() {
      await this.$store.dispatch('actionFindOne', this.developer._id)
      this.$emit('edit', this.developer._id)
    }
  }
}
</script>
<style>
.cardTile {
  border-left: 7px solid #4670a3 !important;
}
</style>
